package de.uni_marburg.powersort.benchmark;

public abstract class SortImpl {
    /**
     * Title of the sort algorithm used.
     */
    final String title;
    /**
     * Implementation details of the sort algorithm used.
     */
    final String description;

    public SortImpl(String title, String description) {
        this.title = title;
        this.description = description;
    }

    /**
     * Apply the sort algorithm.
     */
    public abstract void sort(Object[] a);
}
